Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions
Lucene::IndexFileNames Class Reference

Constants representing filenames and extensions used by Lucene. More...

`#include <IndexFileNames.h>`

Inheritance diagram for Lucene::IndexFileNames:

## Public Member Functions

virtual | ~IndexFileNames ()
virtual String | getClassName ()
boost::shared_ptr< IndexFileNames > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static const String & | SEGMENTS ()
| Name of the index segment file. More...
static const String & | SEGMENTS_GEN ()
| Name of the generation reference file name. More...
static const String & | DELETABLE ()
| Name of the index deletable file (only used in pre-lockless indices). More...
static const String & | NORMS_EXTENSION ()
| Extension of norms file. More...
static const String & | FREQ_EXTENSION ()
| Extension of freq postings file. More...
static const String & | PROX_EXTENSION ()
| Extension of prox postings file. More...
static const String & | TERMS_EXTENSION ()
| Extension of terms file. More...
static const String & | TERMS_INDEX_EXTENSION ()
| Extension of terms index file. More...
static const String & | FIELDS_INDEX_EXTENSION ()
| Extension of stored fields index file. More...
static const String & | FIELDS_EXTENSION ()
| Extension of stored fields file. More...
static const String & | VECTORS_FIELDS_EXTENSION ()
| Extension of vectors fields file. More...
static const String & | VECTORS_DOCUMENTS_EXTENSION ()
| Extension of vectors documents file. More...
static const String & | VECTORS_INDEX_EXTENSION ()
| Extension of vectors index file. More...
static const String & | COMPOUND_FILE_EXTENSION ()
| Extension of compound file. More...
static const String & | COMPOUND_FILE_STORE_EXTENSION ()
| Extension of compound file for doc store files. More...
static const String & | DELETES_EXTENSION ()
| Extension of deletes. More...
static const String & | FIELD_INFOS_EXTENSION ()
| Extension of field infos. More...
static const String & | PLAIN_NORMS_EXTENSION ()
| Extension of plain norms. More...
static const String & | SEPARATE_NORMS_EXTENSION ()
| Extension of separate norms. More...
static const String & | GEN_EXTENSION ()
| Extension of gen file. More...
static const HashSet< String > | INDEX_EXTENSIONS ()
| This array contains all filename extensions used by Lucene's index files, with two exceptions, namely the extension made up from ".f" + number and from ".s" + number. Also note that Lucene's "segments_N" files do not have any filename extension. More...
static const HashSet< String > | INDEX_EXTENSIONS_IN_COMPOUND_FILE ()
| File extensions that are added to a compound file (same as INDEX_EXTENSIONS, minus "del", "gen", "cfs"). More...
static const HashSet< String > | STORE_INDEX_EXTENSIONS ()
static const HashSet< String > | NON_STORE_INDEX_EXTENSIONS ()
static const HashSet< String > | COMPOUND_EXTENSIONS ()
| File extensions of old-style index files. More...
static const HashSet< String > | VECTOR_EXTENSIONS ()
| File extensions for term vector support. More...
static String | fileNameFromGeneration (const String &base, const String &extension, int64_t gen)
| Computes the full file name from base, extension and generation. If the generation is SegmentInfo#NO, the file name is null. If it's SegmentInfo#WITHOUT_GEN the file name is base+extension. If it's > 0, the file name is base_generation+extension. More...
static bool | isDocStoreFile (const String &fileName)
| Returns true if the provided filename is one of the doc store files (ends with an extension in STORE_INDEX_EXTENSIONS). More...
static String | segmentFileName (const String &segmentName, const String &ext)
| Return segment file name. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Constants representing filenames and extensions used by Lucene.

## Constructor & Destructor Documentation

virtual Lucene::IndexFileNames::~IndexFileNames | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::IndexFileNames::_getClassName | ( | ) |  |

inline static

static const HashSet<String> Lucene::IndexFileNames::COMPOUND_EXTENSIONS | ( | ) |  |

static

File extensions of old-style index files.

static const String& Lucene::IndexFileNames::COMPOUND_FILE_EXTENSION | ( | ) |  |

static

Extension of compound file.

static const String& Lucene::IndexFileNames::COMPOUND_FILE_STORE_EXTENSION | ( | ) |  |

static

Extension of compound file for doc store files.

static const String& Lucene::IndexFileNames::DELETABLE | ( | ) |  |

static

Name of the index deletable file (only used in pre-lockless indices).

static const String& Lucene::IndexFileNames::DELETES_EXTENSION | ( | ) |  |

static

Extension of deletes.

static const String& Lucene::IndexFileNames::FIELD_INFOS_EXTENSION | ( | ) |  |

static

Extension of field infos.

static const String& Lucene::IndexFileNames::FIELDS_EXTENSION | ( | ) |  |

static

Extension of stored fields file.

static const String& Lucene::IndexFileNames::FIELDS_INDEX_EXTENSION | ( | ) |  |

static

Extension of stored fields index file.

static String Lucene::IndexFileNames::fileNameFromGeneration | ( | const String & | base,
|  | const String & | extension,
|  | int64_t | gen
| ) |  |

static

Computes the full file name from base, extension and generation. If the generation is SegmentInfo#NO, the file name is null. If it's SegmentInfo#WITHOUT_GEN the file name is base+extension. If it's > 0, the file name is base_generation+extension.

static const String& Lucene::IndexFileNames::FREQ_EXTENSION | ( | ) |  |

static

Extension of freq postings file.

static const String& Lucene::IndexFileNames::GEN_EXTENSION | ( | ) |  |

static

Extension of gen file.

virtual String Lucene::IndexFileNames::getClassName | ( | ) |  |

inline virtual

static const HashSet<String> Lucene::IndexFileNames::INDEX_EXTENSIONS | ( | ) |  |

static

This array contains all filename extensions used by Lucene's index files, with two exceptions, namely the extension made up from ".f" + number and from ".s" + number. Also note that Lucene's "segments_N" files do not have any filename extension.

static const HashSet<String> Lucene::IndexFileNames::INDEX_EXTENSIONS_IN_COMPOUND_FILE | ( | ) |  |

static

File extensions that are added to a compound file (same as INDEX_EXTENSIONS, minus "del", "gen", "cfs").

static bool Lucene::IndexFileNames::isDocStoreFile | ( | const String & | fileName) |  |

static

Returns true if the provided filename is one of the doc store files (ends with an extension in STORE_INDEX_EXTENSIONS).

static const HashSet<String> Lucene::IndexFileNames::NON_STORE_INDEX_EXTENSIONS | ( | ) |  |

static

static const String& Lucene::IndexFileNames::NORMS_EXTENSION | ( | ) |  |

static

Extension of norms file.

static const String& Lucene::IndexFileNames::PLAIN_NORMS_EXTENSION | ( | ) |  |

static

Extension of plain norms.

static const String& Lucene::IndexFileNames::PROX_EXTENSION | ( | ) |  |

static

Extension of prox postings file.

static String Lucene::IndexFileNames::segmentFileName | ( | const String & | segmentName,
|  | const String & | ext
| ) |  |

static

Return segment file name.

static const String& Lucene::IndexFileNames::SEGMENTS | ( | ) |  |

static

Name of the index segment file.

static const String& Lucene::IndexFileNames::SEGMENTS_GEN | ( | ) |  |

static

Name of the generation reference file name.

static const String& Lucene::IndexFileNames::SEPARATE_NORMS_EXTENSION | ( | ) |  |

static

Extension of separate norms.

boost::shared_ptr< IndexFileNames > Lucene::IndexFileNames::shared_from_this | ( | ) |  |

inline

static const HashSet<String> Lucene::IndexFileNames::STORE_INDEX_EXTENSIONS | ( | ) |  |

static

static const String& Lucene::IndexFileNames::TERMS_EXTENSION | ( | ) |  |

static

Extension of terms file.

static const String& Lucene::IndexFileNames::TERMS_INDEX_EXTENSION | ( | ) |  |

static

Extension of terms index file.

static const HashSet<String> Lucene::IndexFileNames::VECTOR_EXTENSIONS | ( | ) |  |

static

File extensions for term vector support.

static const String& Lucene::IndexFileNames::VECTORS_DOCUMENTS_EXTENSION | ( | ) |  |

static

Extension of vectors documents file.

static const String& Lucene::IndexFileNames::VECTORS_FIELDS_EXTENSION | ( | ) |  |

static

Extension of vectors fields file.

static const String& Lucene::IndexFileNames::VECTORS_INDEX_EXTENSION | ( | ) |  |

static

Extension of vectors index file.

The documentation for this class was generated from the following file:

- IndexFileNames.h

clucene.sourceforge.net